Solid Edge Part Type Library
AddThermalStudy Method
Description
Create a new Heat Transfer study.
Syntax
Visual Basic
Public Sub AddThermalStudy( _
   ByVal eStudyType As FEAStudyTypeEnum_Auto, _
   ByVal eMeshType As FEAMeshTypeEnum_Auto, _
   ByVal dThickness As Double, _
   ByVal dwOptions As ULong, _
   ByVal ulNumModes As ULong, _
   ByVal dFreqRangeLow As Double, _
   ByVal dFreqRangeHigh As Double, _
   ByVal bstrNasCmdLine As String, _
   ByVal bstrNasKeywordOpts As String, _
   ByVal dwResOptions As ULong, _
   ByVal dwThrmlOptions As ULong, _
   ByVal dEnclouserAmbientEle As Double, _
   ByVal dConvectionExponent As Double, _
   ByRef pActiveStudy As Object _
) 
Parameters
eStudyType
ValueDescription
eStudyTypeLinearBuckling_Auto 
eStudyTypeLinearStatic_Auto 
eStudyTypeNone_Auto 
eStudyTypeNormalModal_Auto 
eStudyTypeSSHT_Auto 
eStudyTypeSSHTLinearBuckling_Auto 
eStudyTypeSSHTLinearStatic_Auto 
eMeshType
ValueDescription
eMeshType2D_Auto 
eMeshTypeMixed_Auto 
eMeshTypeNone_Auto 
eMeshTypeTetrahedral_Auto 
dThickness
dwOptions
ulNumModes
dFreqRangeLow
dFreqRangeHigh
bstrNasCmdLine
bstrNasKeywordOpts
dwResOptions
dwThrmlOptions
dEnclouserAmbientEle
dConvectionExponent
pActiveStudy
Example
Imports System.IO
Imports System.Runtime.InteropServices

Module Example
    <STAThread()> _
    Sub Main()
        Dim objApplication As SolidEdgeFramework.Application = Nothing
        Dim objPartDocument As SolidEdgePart.PartDocument = Nothing
        Dim objStudyOwner As SolidEdgePart.StudyOwner = Nothing
        Dim objStudy As SolidEdgePart.Study = Nothing
        Dim estudyType As SolidEdgePart.FEAStudyTypeEnum_Auto
        Dim eMeshType As SolidEdgePart.FEAMeshTypeEnum_Auto
        Dim dThickness As Double = 0
        Dim dwInputOptions As UInteger = 0
        Dim ulNumModes As ULong = 7
        Dim dFreqlow As Double = 0
        Dim dFreqHigh As Double = 1.0
        Dim cmdLineOpts As String = ""
        Dim nastranKeywordOpts As String = ""
        Dim dwResultoptions As UInteger = 0

        'Thermal Options
        Dim dConvectionExp As Double = 0
        Dim dEnclosureAmbientEle As Double = 0
        Dim dwThrmlOptions As UInteger = 0

        Try
            OleMessageFilter.Register()

            objApplication = Marshal.GetActiveObject("SolidEdge.Application")
            objPartDocument = objApplication.ActiveDocument
            objStudyOwner = objPartDocument.StudyOwner

            'Add Thermal Study
            estudyType = SolidEdgePart.FEAStudyTypeEnum_Auto.eStudyTypeSSHT_Auto
            eMeshType = SolidEdgePart.FEAMeshTypeEnum_Auto.eMeshTypeTetrahedral_Auto
            objStudyOwner.AddThermalStudy(estudyType,
                                        eMeshType,
                                        dThickness,
                                        dwInputOptions,
                                        ulNumModes,
                                        dFreqlow,
                                        dFreqHigh,
                                        cmdLineOpts,
                                        nastranKeywordOpts,
                                        dwResultoptions,
                                        dwThrmlOptions,
                                        dEnclosureAmbientEle,
                                        dConvectionExp,
                                        objStudy)

        Catch ex As Exception
            Console.WriteLine(ex.Message)
        Finally
            OleMessageFilter.Revoke()
        End Try
    End Sub

End Module
See Also

StudyOwner Collection  | StudyOwner Members  | Solid Edge ST5 - What's New